https://shopify.com/admin/api/2021-01/smart_collections/{smart_collection_id}/order.jsonhttps://shopify.dev/docs/admin-api/rest/reference/products/smartcollection#order-2021-01
smart_collection_id
An array of product IDs, in the order that you want them to appear at the top of the collection. When products is specified but empty, any previously sorted products are cleared.
The type of sorting to apply. Valid values are listed in the Properties section above. (default: (current value))
products[]
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'https://shopify.com/admin/api/2021-01/smart_collections/{smart_collection_id}/order.json' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://shopify.com/admin/api/2021-01/smart_collections/{smart_collection_id}/order.jsonhttps://shopify.dev/docs/admin-api/rest/reference/products/smartcollection#order-2021-01
smart_collection_id
An array of product IDs, in the order that you want them to appear at the top of the collection. When products is specified but empty, any previously sorted products are cleared.
The type of sorting to apply. Valid values are listed in the Properties section above. (default: (current value))
products[]
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'https://shopify.com/admin/api/2021-01/smart_collections/{smart_collection_id}/order.json' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}